<?php
/*
Plugin Name: Simple CMS
Plugin URI: http://pixopoint.com/simplecms/
Description: The Simple CMS Plugin converts your WordPress admin panel into a simple CMS. It is aimed at web designers who want to provide a simple adminstration panel for their clients to update basic static websites. Visit the <a href="http://pixopoint.com/products/simplecms/">Simple CMS page</a> for more information. If you find any bugs, please report them in the  <a href="http://pixopoint.com/forum/index.php?board=3.0">PixoPoint support forum</a>.

Author: PixoPoint Web Development
Version: 1.5
Author URI: http://pixopoint.com/

Copyright 2010 PixoPoint Web Development

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

*/


/**
 * If not in admin panel then bail out now
 * @since 1.5
 */
if ( !is_admin() )
	return;


/**
 * Remove menus
 * Redirect dashboard
 * @since 1.5
 */
function pixopoint_remove_menus () {
	global $menu;
	/* List of items to remove */
	$restricted = array(
		__( 'Dashboard' ),
		__( 'Posts' ),
		__( 'Links' ),
		__( 'Appearance' ),
		__( 'Tools' ),
		__( 'Settings' ),
		__( 'Comments' ),
		__( 'Plugins' )
	);
	end ( $menu );
	while ( prev( $menu ) ) {
		$value = explode( ' ',$menu[key( $menu )][0] );
		if ( in_array( $value[0] != NULL?$value[0] : "", $restricted ) ) { 
			unset( $menu[key( $menu )] ); 
		}
	}
	/* Redirect from dashboard to edit pages - Thanks to WP Engineer for this code snippet ... http://wpengineer.com/redirects-to-another-page-in-wordpress-backend/ */
	if ( preg_match( '#wp-admin/?(index.php)?$#', $_SERVER['REQUEST_URI']) )
		wp_redirect( admin_url( 'edit.php?post_type=page' ) );
}

